# Generated from active_model_presenter-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name active_model_presenter

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: ActiveModelSerializers-based presenters
License: MIT
URL: https://github.com/smostovoy/active_model_presenter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
BuildArch: noarch

%description
Presenters and Model-View-Presenter (MVP) is the second most useful pattern
after Service Objects to simplify your medium-to-large app.
ActiveModelPresenter is a small gem that transforms ActiveRecord models into
simple decorated objects that you can use to pass data for a JSON or a regular
View rendering.
It's based on Rails' **active_model_serializers** gem (AMS) so you get all
it's features without creating any new type of files.
It can be used as a layer for Rails between Controller and View to make data
to flow in 1 direction.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.2-1
- Initial package
